Bug 115739 - swap not detected in upgrade from FC1
swap not detected in upgrade from FC1
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-02-15 11:23 EST by John Mellor
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 17:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mellor 2004-02-15 11:23:11 EST
Description of problem:  Upgrade from up-to-date core-1 does not find
existing swap.

Version-Release number of selected component: 9.90-5

How reproducible: unknown, one-out-of-one tries

Steps to Reproduce:
1. install FC1 on P3 with 128MBram, 40GBHD, default partioning
2. update to latest FC1
3. install FC1.90 from CD
Actual results: 256MB swap incorrectly detected as 0 swap, asks about
adding a swapfile.

Expected results: existing swap should have been detected and used

Additional info: workaround of adding a swapfile works, leaving 512MB
swap on final system instead of the proper 256MB swap.
Comment 1 Jeremy Katz 2004-03-04 18:45:07 EST
This works for me -- can you attach your /etc/fstab? 
Comment 2 John Mellor 2004-03-04 21:46:01 EST
Here is my fstab after upgrade from FC1 to FC2T1:

[john@maddee john]$ cat /etc/fstab
LABEL=/                 /                       ext3    defaults     
  1 1
LABEL=/boot             /boot                   ext3    defaults     
  1 2
none                    /dev/pts                devpts  gid=5,mode=620
 0 0
none                    /proc                   proc    defaults     
  0 0
none                    /sys                    sysfs   defaults     
  0 0
none                    /dev/shm                tmpfs   defaults     
  0 0
/dev/hda5               swap                    swap    defaults     
  0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto   
noauto,owner,kudzu 0 0
/SWAP                   swap                    swap    defaults     
  0 0

The swappartition was pre-existing from FC1, and the /SWAP file was
added by the FC2T1 installation to work around the undetected swap.
Comment 3 Jeremy Katz 2004-03-04 22:00:01 EST
Hmmm... can you try with the development tree and just get to the
stage where it asks about the boot loader (which would be after swap
detection) after commenting out the swap file from /etc/fstab?  It's
possible something changed although I have no clue what :/
Comment 4 Gilbert E. Detillieux 2004-04-01 12:33:36 EST
I'm seeing the same thing, upgrading from FC1 to FC2t2.
Likewise, my /etc/fstab shows both the swap partition (hda3 in my
case) and the /SWAP file.

Also, while the installer is running, if I use Ctrl-Alt-F2 to get to
the VC running bash, and "cat /proc/swaps", I find that both are
currently mounted and in use.  However, the installer didn't give me
the option of just reusing the existing swap partition, but wanted to
create the swap file.

More specifically, I'm now rerunning the installer to upgrade to FC2t2
a second time, since it crashed last time due to lack of free space (a
situation that was made worse, I'm sure, by the addition of the /SWAP
file from the first upgrade).  When running the installer the second
time, I told it not to create a swap file, but found that by the time
it got to the actual package upgrades, both the existing swap
partition and /SWAP file were being used in the VM pool.
Comment 5 Jeremy Katz 2005-02-01 17:46:06 EST
This should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.